## javax.media.j3d
Class IllegalRenderingStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      javax.media.j3d.IllegalRenderingStateException

All Implemented Interfaces:
  java.io.Serializable

    public class IllegalRenderingStateException

extends java.lang.IllegalStateException

Indicates an illegal state for rendering. This is typically some sort of resource or graphics device error encountered during rendering.

See Also:
  Serialized Form

Constructor Summary
`IllegalRenderingStateException()` Create the exception object with default values.
`IllegalRenderingStateException(java.lang.String str)` Create the exception object that outputs message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalRenderingStateException

    public IllegalRenderingStateException()

  Create the exception object with default values.

### IllegalRenderingStateException

    public IllegalRenderingStateException(java.lang.String str)

  Create the exception object that outputs message.

  Parameters:
    `str` - the message string to be output.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.